package com.ssj.service.conch.conch.service;

import com.ssj.bean.conch.conch.domain.SconPadInfo;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.conch.conch.padrequest.PadInitInfoRequest;

import java.util.List;

/**
 * @author yangcan
 * 类描述:小塾学伴pad 服务端
 * 创建时间:2019/11/7 10:31
 */
public interface SconPadInfoService extends BaseService<SconPadInfo, String>{

    SconPadInfo findTopByPadCode(String padCode);

    /**
     * 初始化小塾学伴设备信息
     * @param request
     * @param type 平台类型:(6:小塾学伴pad端  3:小塾学伴学生app端)
     */
    void initInfo(PadInitInfoRequest request,int type);

    List<SconPadInfo> findByVipId(String vipId);

    SconPadInfo findTopByVipId(String vipId);

    SconPadInfo findTopByVipIdAndType(String vipId,int type);

    SconPadInfo findTopByUserIdAndType(String userId,int type);

    List<SconPadInfo> findByUserId(String userId);
}
